# Reset password

Resets a user's password

Endpoint: POST /v1/auth/password/reset

## Request fields (application/json):

  - `reset_token` (string, required)
    Valid `reset_token` generated from the password login call or by initiating a password reset flow

  - `new_password` (string, required)
    The new password

  - `redirect_uri` (string)
    Redirect URI for redirecting the client after a successful password change

  - `resource` (string)
    Resource to access after successful password change

  - `require_mfa` (boolean)
    Require multi-factor authentication for this authentication request.
    Example: true

## Response 200 fields (application/json):

  - `message` (string, required)
    Example: Password changed successfully

  - `url` (string, required)
    URL to start the authorization flow with the new password

  - `email` (string, required)
    User email to which the notification will be sent

## Response 400 fields (application/json):

  - `message` (array, required)
    Example: Bad request

  - `error_code` (number, required)
    Example: 400

## Response 403 fields (application/json):

  - `message` (string, required)

  - `error_code` (number, required)
    Example: 403

